Package com.ocient.jdbc.proto

# Class PlanProtocol.PlanHeader.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>
com.ocient.jdbc.proto.PlanProtocol.PlanHeader.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.PlanHeaderOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.PlanHeader

    public static final class PlanProtocol.PlanHeader.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>
    implements PlanProtocol.PlanHeaderOrBuilder

    Header that starts of the plan message

Protobuf type `xg.db.sqlPlans.PlanHeader`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.PlanHeader.Builder` | `addAllPartitioningPoints​(Iterable<? extends Float> values)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `addPartitioningPoints​(float value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.PlanHeader` | `build()` |
`PlanProtocol.PlanHeader` | `buildPartial()` |
`PlanProtocol.PlanHeader.Builder` | `clear()` |
`PlanProtocol.PlanHeader.Builder` | `clearBranchingOffset()` | branching offset
`PlanProtocol.PlanHeader.Builder` | `clearCols2Pos()` |
`PlanProtocol.PlanHeader.Builder` | `clearCols2Types()` |
`PlanProtocol.PlanHeader.Builder` | `clearComputeConfiguration()` |
`PlanProtocol.PlanHeader.Builder` | `clearDatabase()` | `string database = 23;`
`PlanProtocol.PlanHeader.Builder` | `clearExternalCost()` | `double externalCost = 25;`
`PlanProtocol.PlanHeader.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.PlanHeader.Builder` | `clearGlobalPfactor()` | `uint32 global_pfactor = 20;`
`PlanProtocol.PlanHeader.Builder` | `clearIndexMemUsage()` | index and query memory usage in bytes
`PlanProtocol.PlanHeader.Builder` | `clearInternalCost()` | `double internalCost = 24;`
`PlanProtocol.PlanHeader.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.PlanHeader.Builder` | `clearPartitionCount()` | partition count, is set by vm while processing GATHER operator, prior to sending the plan to downstream peers
`PlanProtocol.PlanHeader.Builder` | `clearPartitioningCol()` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `clearPartitioningColNullable()` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `clearPartitioningColType()` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `clearPartitioningOffset()` | partitioning offset
`PlanProtocol.PlanHeader.Builder` | `clearPartitioningPoints()` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `clearPriority()` | Scale factor for plan priority
`PlanProtocol.PlanHeader.Builder` | `clearQueryMemUsage()` | `uint64 queryMemUsage = 18;`
`PlanProtocol.PlanHeader.Builder` | `clearQuerySeq()` | query sequence #
`PlanProtocol.PlanHeader.Builder` | `clearRateLimited()` | Deprecated
`PlanProtocol.PlanHeader.Builder` | `clearRsSizeInBytes()` | Only used by Explain
`PlanProtocol.PlanHeader.Builder` | `clearTotalCost()` | `double totalCost = 5;`
`PlanProtocol.PlanHeader.Builder` | `clearTrace()` | Whether or not trace is turned on
`PlanProtocol.PlanHeader.Builder` | `clearUuid()` | Uniquely identifies the plan
`PlanProtocol.PlanHeader.Builder` | `clearVersion()` | `uint32 version = 22;`
`PlanProtocol.PlanHeader.Builder` | `clone()` |
`boolean` | `containsCols2Pos​(String key)` | A map of column name to it's position (zero-based) in the result set
`boolean` | `containsCols2Types​(String key)` | A map from column name to type (uses optimizer types)
`boolean` | `containsComputeConfiguration​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`int` | `getBranchingOffset()` | branching offset
`Map<String,​Integer>` | `getCols2Pos()` | Deprecated.
`int` | `getCols2PosCount()` | A map of column name to it's position (zero-based) in the result set
`Map<String,​Integer>` | `getCols2PosMap()` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrDefault​(String key, int defaultValue)` | A map of column name to it's position (zero-based) in the result set
`int` | `getCols2PosOrThrow​(String key)` | A map of column name to it's position (zero-based) in the result set
`Map<String,​PlanProtocol.SqlColType>` | `getCols2Types()` | Deprecated.
`int` | `getCols2TypesCount()` | A map from column name to type (uses optimizer types)
`Map<String,​PlanProtocol.SqlColType>` | `getCols2TypesMap()` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)` | A map from column name to type (uses optimizer types)
`PlanProtocol.SqlColType` | `getCols2TypesOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<String,​Integer>` | `getCols2TypesValue()` | Deprecated.
`Map<String,​Integer>` | `getCols2TypesValueMap()` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrDefault​(String key, int defaultValue)` | A map from column name to type (uses optimizer types)
`int` | `getCols2TypesValueOrThrow​(String key)` | A map from column name to type (uses optimizer types)
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfiguration()` | Deprecated.
`int` | `getComputeConfigurationCount()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getComputeConfigurationMap()` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.ExecutionClusters` | `getComputeConfigurationOrThrow​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`String` | `getDatabase()` | `string database = 23;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 23;`
`PlanProtocol.PlanHeader` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`double` | `getExternalCost()` | `double externalCost = 25;`
`int` | `getGlobalPfactor()` | `uint32 global_pfactor = 20;`
`long` | `getIndexMemUsage()` | index and query memory usage in bytes
`double` | `getInternalCost()` | `double internalCost = 24;`
`Map<String,​Integer>` | `getMutableCols2Pos()` | Deprecated.
`Map<String,​PlanProtocol.SqlColType>` | `getMutableCols2Types()` | Deprecated.
`Map<String,​Integer>` | `getMutableCols2TypesValue()` | Deprecated.
`Map<Integer,​PlanProtocol.ExecutionClusters>` | `getMutableComputeConfiguration()` | Deprecated.
`int` | `getPartitionCount()` | partition count, is set by vm while processing GATHER operator, prior to sending the plan to downstream peers
`String` | `getPartitioningCol()` | Only used by Spark connector
`com.google.protobuf.ByteString` | `getPartitioningColBytes()` | Only used by Spark connector
`boolean` | `getPartitioningColNullable()` | Only used by Spark connector
`PlanProtocol.SqlColType` | `getPartitioningColType()` | Only used by Spark connector
`int` | `getPartitioningColTypeValue()` | Only used by Spark connector
`int` | `getPartitioningOffset()` | partitioning offset
`float` | `getPartitioningPoints​(int index)` | Only used by Spark connector
`int` | `getPartitioningPointsCount()` | Only used by Spark connector
`List<Float>` | `getPartitioningPointsList()` | Only used by Spark connector
`double` | `getPriority()` | Scale factor for plan priority
`long` | `getQueryMemUsage()` | `uint64 queryMemUsage = 18;`
`long` | `getQuerySeq()` | query sequence #
`boolean` | `getRateLimited()` | Deprecated
`long` | `getRsSizeInBytes()` | Only used by Explain
`double` | `getTotalCost()` | `double totalCost = 5;`
`boolean` | `getTrace()` | Whether or not trace is turned on
`String` | `getUuid()` | Uniquely identifies the plan
`com.google.protobuf.ByteString` | `getUuidBytes()` | Uniquely identifies the plan
`int` | `getVersion()` | `uint32 version = 22;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
`protected com.google.protobuf.MapField` | `internalGetMutableMapField​(int number)` |
`boolean` | `isInitialized()` |
`PlanProtocol.PlanHeader.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.PlanHeader.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.PlanHeader.Builder` | `mergeFrom​(PlanProtocol.PlanHeader other)` |
`PlanProtocol.PlanHeader.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.PlanHeader.Builder` | `putAllCols2Pos​(Map<String,​Integer> values)` | A map of column name to it's position (zero-based) in the result set
`PlanProtocol.PlanHeader.Builder` | `putAllCols2Types​(Map<String,​PlanProtocol.SqlColType> values)` | A map from column name to type (uses optimizer types)
`PlanProtocol.PlanHeader.Builder` | `putAllCols2TypesValue​(Map<String,​Integer> values)` | A map from column name to type (uses optimizer types)
`PlanProtocol.PlanHeader.Builder` | `putAllComputeConfiguration​(Map<Integer,​PlanProtocol.ExecutionClusters> values)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.PlanHeader.Builder` | `putCols2Pos​(String key, int value)` | A map of column name to it's position (zero-based) in the result set
`PlanProtocol.PlanHeader.Builder` | `putCols2Types​(String key, PlanProtocol.SqlColType value)` | A map from column name to type (uses optimizer types)
`PlanProtocol.PlanHeader.Builder` | `putCols2TypesValue​(String key, int value)` | A map from column name to type (uses optimizer types)
`PlanProtocol.PlanHeader.Builder` | `putComputeConfiguration​(int key, PlanProtocol.ExecutionClusters value)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.PlanHeader.Builder` | `removeCols2Pos​(String key)` | A map of column name to it's position (zero-based) in the result set
`PlanProtocol.PlanHeader.Builder` | `removeCols2Types​(String key)` | A map from column name to type (uses optimizer types)
`PlanProtocol.PlanHeader.Builder` | `removeComputeConfiguration​(int key)` | only used during actual execution, not populated by optimizer/plangen defines the compute configuration to be used for query
`PlanProtocol.PlanHeader.Builder` | `setBranchingOffset​(int value)` | branching offset
`PlanProtocol.PlanHeader.Builder` | `setDatabase​(String value)` | `string database = 23;`
`PlanProtocol.PlanHeader.Builder` | `setDatabaseBytes​(com.google.protobuf.ByteString value)` | `string database = 23;`
`PlanProtocol.PlanHeader.Builder` | `setExternalCost​(double value)` | `double externalCost = 25;`
`PlanProtocol.PlanHeader.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.PlanHeader.Builder` | `setGlobalPfactor​(int value)` | `uint32 global_pfactor = 20;`
`PlanProtocol.PlanHeader.Builder` | `setIndexMemUsage​(long value)` | index and query memory usage in bytes
`PlanProtocol.PlanHeader.Builder` | `setInternalCost​(double value)` | `double internalCost = 24;`
`PlanProtocol.PlanHeader.Builder` | `setPartitionCount​(int value)` | partition count, is set by vm while processing GATHER operator, prior to sending the plan to downstream peers
`PlanProtocol.PlanHeader.Builder` | `setPartitioningCol​(String value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPartitioningColBytes​(com.google.protobuf.ByteString value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPartitioningColNullable​(boolean value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPartitioningColType​(PlanProtocol.SqlColType value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPartitioningColTypeValue​(int value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPartitioningOffset​(int value)` | partitioning offset
`PlanProtocol.PlanHeader.Builder` | `setPartitioningPoints​(int index, float value)` | Only used by Spark connector
`PlanProtocol.PlanHeader.Builder` | `setPriority​(double value)` | Scale factor for plan priority
`PlanProtocol.PlanHeader.Builder` | `setQueryMemUsage​(long value)` | `uint64 queryMemUsage = 18;`
`PlanProtocol.PlanHeader.Builder` | `setQuerySeq​(long value)` | query sequence #
`PlanProtocol.PlanHeader.Builder` | `setRateLimited​(boolean value)` | Deprecated
`PlanProtocol.PlanHeader.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.PlanHeader.Builder` | `setRsSizeInBytes​(long value)` | Only used by Explain
`PlanProtocol.PlanHeader.Builder` | `setTotalCost​(double value)` | `double totalCost = 5;`
`PlanProtocol.PlanHeader.Builder` | `setTrace​(boolean value)` | Whether or not trace is turned on
`PlanProtocol.PlanHeader.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.PlanHeader.Builder` | `setUuid​(String value)` | Uniquely identifies the plan
`PlanProtocol.PlanHeader.Builder` | `setUuidBytes​(com.google.protobuf.ByteString value)` | Uniquely identifies the plan
`PlanProtocol.PlanHeader.Builder` | `setVersion​(int value)` | `uint32 version = 22;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapField

protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### internalGetMutableMapField

protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### clear

public PlanProtocol.PlanHeader.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### getDefaultInstanceForType

public PlanProtocol.PlanHeader getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.PlanHeader build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.PlanHeader buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.PlanHeader.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### setField

public PlanProtocol.PlanHeader.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### clearField

public PlanProtocol.PlanHeader.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### clearOneof

public PlanProtocol.PlanHeader.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### setRepeatedField

public PlanProtocol.PlanHeader.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### addRepeatedField

public PlanProtocol.PlanHeader.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### mergeFrom

public PlanProtocol.PlanHeader.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.PlanHeader.Builder>`

### mergeFrom

public PlanProtocol.PlanHeader.Builder mergeFrom​(PlanProtocol.PlanHeader other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### mergeFrom

public PlanProtocol.PlanHeader.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.PlanHeader.Builder>`
Throws:
  `IOException`

### getCols2PosCount

public int getCols2PosCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsCols2Pos

public boolean containsCols2Pos​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `containsCols2Pos` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2Pos

@Deprecated public Map<String,​Integer> getCols2Pos()
Deprecated.
Use `getCols2PosMap()` instead.

Specified by:
  `getCols2Pos` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosMap

public Map<String,​Integer> getCols2PosMap()

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosOrDefault

public int getCols2PosOrDefault​(String key, int defaultValue)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2PosOrThrow

public int getCols2PosOrThrow​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

Specified by:
  `getCols2PosOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### clearCols2Pos

public PlanProtocol.PlanHeader.Builder clearCols2Pos()

### removeCols2Pos

public PlanProtocol.PlanHeader.Builder removeCols2Pos​(String key)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getMutableCols2Pos

@Deprecated public Map<String,​Integer> getMutableCols2Pos()
Deprecated.
Use alternate mutation accessors instead.

### putCols2Pos

public PlanProtocol.PlanHeader.Builder putCols2Pos​(String key, int value)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### putAllCols2Pos

public PlanProtocol.PlanHeader.Builder putAllCols2Pos​(Map<String,​Integer> values)

    A map of column name to it's position (zero-based) in the result set

`map<string, uint32> cols2pos = 1;`

### getCols2TypesCount

public int getCols2TypesCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsCols2Types

public boolean containsCols2Types​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `containsCols2Types` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2Types

@Deprecated public Map<String,​PlanProtocol.SqlColType> getCols2Types()
Deprecated.
Use `getCols2TypesMap()` instead.

Specified by:
  `getCols2Types` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesMap

public Map<String,​PlanProtocol.SqlColType> getCols2TypesMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesOrDefault

public PlanProtocol.SqlColType getCols2TypesOrDefault​(String key, PlanProtocol.SqlColType defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesOrThrow

public PlanProtocol.SqlColType getCols2TypesOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValue

@Deprecated public Map<String,​Integer> getCols2TypesValue()
Deprecated.
Use `getCols2TypesValueMap()` instead.

Specified by:
  `getCols2TypesValue` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueMap

public Map<String,​Integer> getCols2TypesValueMap()

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueOrDefault

public int getCols2TypesValueOrDefault​(String key, int defaultValue)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getCols2TypesValueOrThrow

public int getCols2TypesValueOrThrow​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

Specified by:
  `getCols2TypesValueOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### clearCols2Types

public PlanProtocol.PlanHeader.Builder clearCols2Types()

### removeCols2Types

public PlanProtocol.PlanHeader.Builder removeCols2Types​(String key)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getMutableCols2Types

@Deprecated public Map<String,​PlanProtocol.SqlColType> getMutableCols2Types()
Deprecated.
Use alternate mutation accessors instead.

### putCols2Types

public PlanProtocol.PlanHeader.Builder putCols2Types​(String key, PlanProtocol.SqlColType value)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### putAllCols2Types

public PlanProtocol.PlanHeader.Builder putAllCols2Types​(Map<String,​PlanProtocol.SqlColType> values)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getMutableCols2TypesValue

@Deprecated public Map<String,​Integer> getMutableCols2TypesValue()
Deprecated.
Use alternate mutation accessors instead.

### putCols2TypesValue

public PlanProtocol.PlanHeader.Builder putCols2TypesValue​(String key, int value)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### putAllCols2TypesValue

public PlanProtocol.PlanHeader.Builder putAllCols2TypesValue​(Map<String,​Integer> values)

    A map from column name to type (uses optimizer types)

`map<string, .xg.db.sqlPlans.SqlColType> cols2Types = 2;`

### getTotalCost

public double getTotalCost()
`double totalCost = 5;`

Specified by:
  `getTotalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setTotalCost

public PlanProtocol.PlanHeader.Builder setTotalCost​(double value)
`double totalCost = 5;`

### clearTotalCost

public PlanProtocol.PlanHeader.Builder clearTotalCost()
`double totalCost = 5;`

### getPartitioningCol

public String getPartitioningCol()

    Only used by Spark connector

`string partitioningCol = 6;`

Specified by:
  `getPartitioningCol` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningColBytes

public com.google.protobuf.ByteString getPartitioningColBytes()

    Only used by Spark connector

`string partitioningCol = 6;`

Specified by:
  `getPartitioningColBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningCol

public PlanProtocol.PlanHeader.Builder setPartitioningCol​(String value)

    Only used by Spark connector

`string partitioningCol = 6;`

### clearPartitioningCol

public PlanProtocol.PlanHeader.Builder clearPartitioningCol()

    Only used by Spark connector

`string partitioningCol = 6;`

### setPartitioningColBytes

public PlanProtocol.PlanHeader.Builder setPartitioningColBytes​(com.google.protobuf.ByteString value)

    Only used by Spark connector

`string partitioningCol = 6;`

### getPartitioningPointsList

public List<Float> getPartitioningPointsList()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPointsList` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningPointsCount

public int getPartitioningPointsCount()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPointsCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getPartitioningPoints

public float getPartitioningPoints​(int index)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

Specified by:
  `getPartitioningPoints` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningPoints

public PlanProtocol.PlanHeader.Builder setPartitioningPoints​(int index, float value)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### addPartitioningPoints

public PlanProtocol.PlanHeader.Builder addPartitioningPoints​(float value)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### addAllPartitioningPoints

public PlanProtocol.PlanHeader.Builder addAllPartitioningPoints​(Iterable<? extends Float> values)

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### clearPartitioningPoints

public PlanProtocol.PlanHeader.Builder clearPartitioningPoints()

    Only used by Spark connector

`repeated float partitioningPoints = 7;`

### getPartitioningColTypeValue

public int getPartitioningColTypeValue()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

Specified by:
  `getPartitioningColTypeValue` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningColTypeValue

public PlanProtocol.PlanHeader.Builder setPartitioningColTypeValue​(int value)

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

### getPartitioningColType

public PlanProtocol.SqlColType getPartitioningColType()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

Specified by:
  `getPartitioningColType` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningColType

public PlanProtocol.PlanHeader.Builder setPartitioningColType​(PlanProtocol.SqlColType value)

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

### clearPartitioningColType

public PlanProtocol.PlanHeader.Builder clearPartitioningColType()

    Only used by Spark connector

`.xg.db.sqlPlans.SqlColType partitioningColType = 8;`

### getRsSizeInBytes

public long getRsSizeInBytes()

    Only used by Explain

`uint64 rsSizeInBytes = 9;`

Specified by:
  `getRsSizeInBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setRsSizeInBytes

public PlanProtocol.PlanHeader.Builder setRsSizeInBytes​(long value)

    Only used by Explain

`uint64 rsSizeInBytes = 9;`

### clearRsSizeInBytes

public PlanProtocol.PlanHeader.Builder clearRsSizeInBytes()

    Only used by Explain

`uint64 rsSizeInBytes = 9;`

### getUuid

public String getUuid()

    Uniquely identifies the plan

`string uuid = 10;`

Specified by:
  `getUuid` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getUuidBytes

public com.google.protobuf.ByteString getUuidBytes()

    Uniquely identifies the plan

`string uuid = 10;`

Specified by:
  `getUuidBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setUuid

public PlanProtocol.PlanHeader.Builder setUuid​(String value)

    Uniquely identifies the plan

`string uuid = 10;`

### clearUuid

public PlanProtocol.PlanHeader.Builder clearUuid()

    Uniquely identifies the plan

`string uuid = 10;`

### setUuidBytes

public PlanProtocol.PlanHeader.Builder setUuidBytes​(com.google.protobuf.ByteString value)

    Uniquely identifies the plan

`string uuid = 10;`

### getPriority

public double getPriority()

    Scale factor for plan priority

`double priority = 11;`

Specified by:
  `getPriority` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPriority

public PlanProtocol.PlanHeader.Builder setPriority​(double value)

    Scale factor for plan priority

`double priority = 11;`

### clearPriority

public PlanProtocol.PlanHeader.Builder clearPriority()

    Scale factor for plan priority

`double priority = 11;`

### getTrace

public boolean getTrace()

    Whether or not trace is turned on

`bool trace = 12;`

Specified by:
  `getTrace` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setTrace

public PlanProtocol.PlanHeader.Builder setTrace​(boolean value)

    Whether or not trace is turned on

`bool trace = 12;`

### clearTrace

public PlanProtocol.PlanHeader.Builder clearTrace()

    Whether or not trace is turned on

`bool trace = 12;`

### getPartitioningOffset

public int getPartitioningOffset()

    partitioning offset

`uint32 partitioning_offset = 13;`

Specified by:
  `getPartitioningOffset` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningOffset

public PlanProtocol.PlanHeader.Builder setPartitioningOffset​(int value)

    partitioning offset

`uint32 partitioning_offset = 13;`

### clearPartitioningOffset

public PlanProtocol.PlanHeader.Builder clearPartitioningOffset()

    partitioning offset

`uint32 partitioning_offset = 13;`

### getBranchingOffset

public int getBranchingOffset()

    branching offset

`uint32 branching_offset = 14;`

Specified by:
  `getBranchingOffset` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setBranchingOffset

public PlanProtocol.PlanHeader.Builder setBranchingOffset​(int value)

    branching offset

`uint32 branching_offset = 14;`

### clearBranchingOffset

public PlanProtocol.PlanHeader.Builder clearBranchingOffset()

    branching offset

`uint32 branching_offset = 14;`

### getQuerySeq

public long getQuerySeq()

     query sequence #

`uint64 querySeq = 15;`

Specified by:
  `getQuerySeq` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setQuerySeq

public PlanProtocol.PlanHeader.Builder setQuerySeq​(long value)

     query sequence #

`uint64 querySeq = 15;`

### clearQuerySeq

public PlanProtocol.PlanHeader.Builder clearQuerySeq()

     query sequence #

`uint64 querySeq = 15;`

### getPartitionCount

public int getPartitionCount()

     partition count, is set by vm while processing  GATHER operator,  prior to sending the plan to downstream peers

`uint32 partition_count = 16;`

Specified by:
  `getPartitionCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitionCount

public PlanProtocol.PlanHeader.Builder setPartitionCount​(int value)

     partition count, is set by vm while processing  GATHER operator,  prior to sending the plan to downstream peers

`uint32 partition_count = 16;`

### clearPartitionCount

public PlanProtocol.PlanHeader.Builder clearPartitionCount()

     partition count, is set by vm while processing  GATHER operator,  prior to sending the plan to downstream peers

`uint32 partition_count = 16;`

### getIndexMemUsage

public long getIndexMemUsage()

    index and query memory usage in bytes

`uint64 indexMemUsage = 17;`

Specified by:
  `getIndexMemUsage` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setIndexMemUsage

public PlanProtocol.PlanHeader.Builder setIndexMemUsage​(long value)

    index and query memory usage in bytes

`uint64 indexMemUsage = 17;`

### clearIndexMemUsage

public PlanProtocol.PlanHeader.Builder clearIndexMemUsage()

    index and query memory usage in bytes

`uint64 indexMemUsage = 17;`

### getQueryMemUsage

public long getQueryMemUsage()
`uint64 queryMemUsage = 18;`

Specified by:
  `getQueryMemUsage` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setQueryMemUsage

public PlanProtocol.PlanHeader.Builder setQueryMemUsage​(long value)
`uint64 queryMemUsage = 18;`

### clearQueryMemUsage

public PlanProtocol.PlanHeader.Builder clearQueryMemUsage()
`uint64 queryMemUsage = 18;`

### getRateLimited

public boolean getRateLimited()

    Deprecated

`bool rate_limited = 19;`

Specified by:
  `getRateLimited` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setRateLimited

public PlanProtocol.PlanHeader.Builder setRateLimited​(boolean value)

    Deprecated

`bool rate_limited = 19;`

### clearRateLimited

public PlanProtocol.PlanHeader.Builder clearRateLimited()

    Deprecated

`bool rate_limited = 19;`

### getGlobalPfactor

public int getGlobalPfactor()
`uint32 global_pfactor = 20;`

Specified by:
  `getGlobalPfactor` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setGlobalPfactor

public PlanProtocol.PlanHeader.Builder setGlobalPfactor​(int value)
`uint32 global_pfactor = 20;`

### clearGlobalPfactor

public PlanProtocol.PlanHeader.Builder clearGlobalPfactor()
`uint32 global_pfactor = 20;`

### getPartitioningColNullable

public boolean getPartitioningColNullable()

    Only used by Spark connector

`bool partitioningColNullable = 21;`

Specified by:
  `getPartitioningColNullable` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setPartitioningColNullable

public PlanProtocol.PlanHeader.Builder setPartitioningColNullable​(boolean value)

    Only used by Spark connector

`bool partitioningColNullable = 21;`

### clearPartitioningColNullable

public PlanProtocol.PlanHeader.Builder clearPartitioningColNullable()

    Only used by Spark connector

`bool partitioningColNullable = 21;`

### getVersion

public int getVersion()
`uint32 version = 22;`

Specified by:
  `getVersion` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setVersion

public PlanProtocol.PlanHeader.Builder setVersion​(int value)
`uint32 version = 22;`

### clearVersion

public PlanProtocol.PlanHeader.Builder clearVersion()
`uint32 version = 22;`

### getDatabase

public String getDatabase()
`string database = 23;`

Specified by:
  `getDatabase` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 23;`

Specified by:
  `getDatabaseBytes` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setDatabase

public PlanProtocol.PlanHeader.Builder setDatabase​(String value)
`string database = 23;`

### clearDatabase

public PlanProtocol.PlanHeader.Builder clearDatabase()
`string database = 23;`

### setDatabaseBytes

public PlanProtocol.PlanHeader.Builder setDatabaseBytes​(com.google.protobuf.ByteString value)
`string database = 23;`

### getInternalCost

public double getInternalCost()
`double internalCost = 24;`

Specified by:
  `getInternalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setInternalCost

public PlanProtocol.PlanHeader.Builder setInternalCost​(double value)
`double internalCost = 24;`

### clearInternalCost

public PlanProtocol.PlanHeader.Builder clearInternalCost()
`double internalCost = 24;`

### getExternalCost

public double getExternalCost()
`double externalCost = 25;`

Specified by:
  `getExternalCost` in interface `PlanProtocol.PlanHeaderOrBuilder`

### setExternalCost

public PlanProtocol.PlanHeader.Builder setExternalCost​(double value)
`double externalCost = 25;`

### clearExternalCost

public PlanProtocol.PlanHeader.Builder clearExternalCost()
`double externalCost = 25;`

### getComputeConfigurationCount

public int getComputeConfigurationCount()
Description copied from interface: `PlanProtocol.PlanHeaderOrBuilder`

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationCount` in interface `PlanProtocol.PlanHeaderOrBuilder`

### containsComputeConfiguration

public boolean containsComputeConfiguration​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `containsComputeConfiguration` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfiguration

@Deprecated public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfiguration()
Deprecated.
Use `getComputeConfigurationMap()` instead.

Specified by:
  `getComputeConfiguration` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationMap

public Map<Integer,​PlanProtocol.ExecutionClusters> getComputeConfigurationMap()

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationMap` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationOrDefault

public PlanProtocol.ExecutionClusters getComputeConfigurationOrDefault​(int key, PlanProtocol.ExecutionClusters defaultValue)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationOrDefault` in interface `PlanProtocol.PlanHeaderOrBuilder`

### getComputeConfigurationOrThrow

public PlanProtocol.ExecutionClusters getComputeConfigurationOrThrow​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

Specified by:
  `getComputeConfigurationOrThrow` in interface `PlanProtocol.PlanHeaderOrBuilder`

### clearComputeConfiguration

public PlanProtocol.PlanHeader.Builder clearComputeConfiguration()

### removeComputeConfiguration

public PlanProtocol.PlanHeader.Builder removeComputeConfiguration​(int key)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### getMutableComputeConfiguration

@Deprecated public Map<Integer,​PlanProtocol.ExecutionClusters> getMutableComputeConfiguration()
Deprecated.
Use alternate mutation accessors instead.

### putComputeConfiguration

public PlanProtocol.PlanHeader.Builder putComputeConfiguration​(int key, PlanProtocol.ExecutionClusters value)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### putAllComputeConfiguration

public PlanProtocol.PlanHeader.Builder putAllComputeConfiguration​(Map<Integer,​PlanProtocol.ExecutionClusters> values)

    only used during actual execution, not populated by optimizer/plangen
    defines the compute configuration to be used for query

`map<uint32, .xg.db.sqlPlans.ExecutionClusters> compute_configuration = 26;`

### setUnknownFields

public final PlanProtocol.PlanHeader.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`

### mergeUnknownFields

public final PlanProtocol.PlanHeader.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.PlanHeader.Builder>`